
Foreman - Feature #21130

Use patternfly-react npm package

09/27/2017 09:22 AM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Dan Seethaler   

Category: Web Interface   

Target version: 1.17.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4944,

https://github.com/theforeman/foreman-p

ackaging/pull/1935

  

Description

We should use the patternfly-react package in foreman/katello so we can take advantage of patternfly-react packages and ease

contributions to patternfly-react in the future.

Associated revisions

Revision 7ab3f346 - 11/08/2017 03:09 PM - Dan Seethaler

Fixes #21130: Use patternfly-react npm package

Update to patternfly-react and DropdownKebab implementation

http://projects.theforeman.org/issues/21130

Revision 7b18d684 - 11/08/2017 07:33 PM - Ewoud Kohl van Wijngaarden

Refs #21130 - Update foreman dependencies (#1935)

Reflects changes made in

https://github.com/theforeman/foreman/commit/7ab3f34668887e3035b6a8f799e2c180f8135381

History

#1 - 09/27/2017 09:36 AM - Walden Raines

- Assignee set to Amir Fefer

Part of the work here is to replace existing foreman components with their patternfly-react counterparts.

#2 - 10/04/2017 04:27 PM - Walden Raines

- Target version changed from 218 to 224

#3 - 10/24/2017 03:48 PM - Walden Raines

- Assignee changed from Amir Fefer to Dan Seethaler

#4 - 10/24/2017 07:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4944 added

#5 - 10/30/2017 08:36 PM - Walden Raines

- Target version changed from 224 to 228

#6 - 11/08/2017 03:31 PM - Ohad Levy

- translation missing: en.field_release set to 296
#7 - 11/08/2017 03:39 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/1935 added

#8 - 11/08/2017 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7ab3f34668887e3035b6a8f799e2c180f8135381.
